var annotated_dup =
[
    [ "_XHXTextKeyboardViewFrameObserver", "interface___x_h_x_text_keyboard_view_frame_observer.html", "interface___x_h_x_text_keyboard_view_frame_observer" ],
    [ "BackgroundTableViewCell", "interface_background_table_view_cell.html", "interface_background_table_view_cell" ],
    [ "BaseCollectionViewController", "interface_base_collection_view_controller.html", "interface_base_collection_view_controller" ],
    [ "BaseCollectionViewController()", "category_base_collection_view_controller_07_08.html", null ],
    [ "BaseTableViewController", "interface_base_table_view_controller.html", "interface_base_table_view_controller" ],
    [ "BaseTableViewController()", "category_base_table_view_controller_07_08.html", null ],
    [ "BaseViewController", "interface_base_view_controller.html", "interface_base_view_controller" ],
    [ "BaseViewController()", "category_base_view_controller_07_08.html", null ],
    [ "BeginnerTipsManager", "interface_beginner_tips_manager.html", "interface_beginner_tips_manager" ],
    [ "BeginnerTipsManager()", "category_beginner_tips_manager_07_08.html", "category_beginner_tips_manager_07_08" ],
    [ "<BeginnerTipsManagerDelegate>", "protocol_beginner_tips_manager_delegate-p.html", "protocol_beginner_tips_manager_delegate-p" ],
    [ "BeginnerTipsView", "interface_beginner_tips_view.html", "interface_beginner_tips_view" ],
    [ "BeginnerTipsView()", "category_beginner_tips_view_07_08.html", "category_beginner_tips_view_07_08" ],
    [ "BMDragCellCollectionView", "interface_b_m_drag_cell_collection_view.html", "interface_b_m_drag_cell_collection_view" ],
    [ "BMDragCellCollectionView()", "category_b_m_drag_cell_collection_view_07_08.html", "category_b_m_drag_cell_collection_view_07_08" ],
    [ "<BMDragCellCollectionViewDelegate>", "protocol_b_m_drag_cell_collection_view_delegate-p.html", "protocol_b_m_drag_cell_collection_view_delegate-p" ],
    [ "IndicatorPositon", "struct_indicator_positon.html", "struct_indicator_positon" ],
    [ "JHCollectionReusableView", "interface_j_h_collection_reusable_view.html", null ],
    [ "<JHCollectionViewDelegateFlowLayout>", "protocol_j_h_collection_view_delegate_flow_layout-p.html", "protocol_j_h_collection_view_delegate_flow_layout-p" ],
    [ "JHCollectionViewFlowLayout", "interface_j_h_collection_view_flow_layout.html", "interface_j_h_collection_view_flow_layout" ],
    [ "JHCollectionViewLayoutAttributes", "interface_j_h_collection_view_layout_attributes.html", "interface_j_h_collection_view_layout_attributes" ],
    [ "<KKLAudioModel>", "protocol_k_k_l_audio_model-p.html", "protocol_k_k_l_audio_model-p" ],
    [ "KKLAudioPlayer", "interface_k_k_l_audio_player.html", "interface_k_k_l_audio_player" ],
    [ "KKLAudioPlayer()", "category_k_k_l_audio_player_07_08.html", "category_k_k_l_audio_player_07_08" ],
    [ "KKLScoreEvaluateVIew", "interface_k_k_l_score_evaluate_v_iew.html", "interface_k_k_l_score_evaluate_v_iew" ],
    [ "KKLScoreEvaluateVIew()", "category_k_k_l_score_evaluate_v_iew_07_08.html", "category_k_k_l_score_evaluate_v_iew_07_08" ],
    [ "KOCustomeCell", "interface_k_o_custome_cell.html", "interface_k_o_custome_cell" ],
    [ "KONavigationController", "interface_k_o_navigation_controller.html", null ],
    [ "KONavigationController()", "category_k_o_navigation_controller_07_08.html", null ],
    [ "KOTabBar", "interface_k_o_tab_bar.html", null ],
    [ "KOTableViewCell", "interface_k_o_table_view_cell.html", null ],
    [ "MainTabTipView", "interface_main_tab_tip_view.html", "interface_main_tab_tip_view" ],
    [ "MainTabTipView()", "category_main_tab_tip_view_07_08.html", "category_main_tab_tip_view_07_08" ],
    [ "MainTabTipWindowManager", "interface_main_tab_tip_window_manager.html", "interface_main_tab_tip_window_manager" ],
    [ "MainTabTipWindowManager()", "category_main_tab_tip_window_manager_07_08.html", "category_main_tab_tip_window_manager_07_08" ],
    [ "<MainTabTipWindowManagerDelegate>", "protocol_main_tab_tip_window_manager_delegate-p.html", "protocol_main_tab_tip_window_manager_delegate-p" ],
    [ "NSArray(XHXSafe)", "category_n_s_array_07_x_h_x_safe_08.html", "category_n_s_array_07_x_h_x_safe_08" ],
    [ "NSDate(DateFormat)", "category_n_s_date_07_date_format_08.html", "category_n_s_date_07_date_format_08" ],
    [ "NSDate(TimeExtension)", "category_n_s_date_07_time_extension_08.html", "category_n_s_date_07_time_extension_08" ],
    [ "NSDate(XHXExtention)", "category_n_s_date_07_x_h_x_extention_08.html", "category_n_s_date_07_x_h_x_extention_08" ],
    [ "NSDictionary(Params)", "category_n_s_dictionary_07_params_08.html", "category_n_s_dictionary_07_params_08" ],
    [ "NSJSONSerialization(RemovingNulls)", "category_n_s_j_s_o_n_serialization_07_removing_nulls_08.html", null ],
    [ "NSMutableArray(RemovingNulls)", "category_n_s_mutable_array_07_removing_nulls_08.html", "category_n_s_mutable_array_07_removing_nulls_08" ],
    [ "NSMutableArray(XHXSafe)", "category_n_s_mutable_array_07_x_h_x_safe_08.html", "category_n_s_mutable_array_07_x_h_x_safe_08" ],
    [ "NSMutableDictionary(RemovingNulls)", "category_n_s_mutable_dictionary_07_removing_nulls_08.html", "category_n_s_mutable_dictionary_07_removing_nulls_08" ],
    [ "NSMutableDictionary(XHXSafe)", "category_n_s_mutable_dictionary_07_x_h_x_safe_08.html", "category_n_s_mutable_dictionary_07_x_h_x_safe_08" ],
    [ "NSObject(DataModelExtension)", "category_n_s_object_07_data_model_extension_08.html", null ],
    [ "NSObject(JSContext)", "category_n_s_object_07_j_s_context_08.html", null ],
    [ "NSString(ABStr)", "category_n_s_string_07_a_b_str_08.html", "category_n_s_string_07_a_b_str_08" ],
    [ "NSString(AttributedString)", "category_n_s_string_07_attributed_string_08.html", "category_n_s_string_07_attributed_string_08" ],
    [ "NSString(JSONValue)", "category_n_s_string_07_j_s_o_n_value_08.html", "category_n_s_string_07_j_s_o_n_value_08" ],
    [ "NSString(KOExtension)", "category_n_s_string_07_k_o_extension_08.html", "category_n_s_string_07_k_o_extension_08" ],
    [ "NSString(LabelWidthAndHeight)", "category_n_s_string_07_label_width_and_height_08.html", "category_n_s_string_07_label_width_and_height_08" ],
    [ "NSString(PasswordStrength)", "category_n_s_string_07_password_strength_08.html", "category_n_s_string_07_password_strength_08" ],
    [ "NSString(TimeExtension)", "category_n_s_string_07_time_extension_08.html", "category_n_s_string_07_time_extension_08" ],
    [ "NSString(URL)", "category_n_s_string_07_u_r_l_08.html", "category_n_s_string_07_u_r_l_08" ],
    [ "NSString(XHXTime)", "category_n_s_string_07_x_h_x_time_08.html", "category_n_s_string_07_x_h_x_time_08" ],
    [ "RadioView", "interface_radio_view.html", "interface_radio_view" ],
    [ "ScrollTabViewController", "interface_scroll_tab_view_controller.html", "interface_scroll_tab_view_controller" ],
    [ "TpCellClassType", "interface_tp_cell_class_type.html", "interface_tp_cell_class_type" ],
    [ "UIBarButtonItem(XHXStyle)", "category_u_i_bar_button_item_07_x_h_x_style_08.html", null ],
    [ "UIButton(XHXStyle)", "category_u_i_button_07_x_h_x_style_08.html", "category_u_i_button_07_x_h_x_style_08" ],
    [ "UICollectionView(BMDragCellCollectionViewRect)", "category_u_i_collection_view_07_b_m_drag_cell_collection_view_rect_08.html", "category_u_i_collection_view_07_b_m_drag_cell_collection_view_rect_08" ],
    [ "UICollectionView(BMRect)", "category_u_i_collection_view_07_b_m_rect_08.html", null ],
    [ "UIColor(Hex)", "category_u_i_color_07_hex_08.html", null ],
    [ "UIFont(KOExtension)", "category_u_i_font_07_k_o_extension_08.html", null ],
    [ "UIImage(KOExtension)", "category_u_i_image_07_k_o_extension_08.html", "category_u_i_image_07_k_o_extension_08" ],
    [ "UIImage(XHXCommonResource)", "category_u_i_image_07_x_h_x_common_resource_08.html", null ],
    [ "UIImage(XHXExtension)", "category_u_i_image_07_x_h_x_extension_08.html", "category_u_i_image_07_x_h_x_extension_08" ],
    [ "UIImageView(KOWebImage)", "category_u_i_image_view_07_k_o_web_image_08.html", "category_u_i_image_view_07_k_o_web_image_08" ],
    [ "UILabel(Extension)", "category_u_i_label_07_extension_08.html", "category_u_i_label_07_extension_08" ],
    [ "UILabel(Vertical)", "category_u_i_label_07_vertical_08.html", "category_u_i_label_07_vertical_08" ],
    [ "UILabel(XHXExtension)", "category_u_i_label_07_x_h_x_extension_08.html", "category_u_i_label_07_x_h_x_extension_08" ],
    [ "UINavigationBar(KONavigationController)", "category_u_i_navigation_bar_07_k_o_navigation_controller_08.html", null ],
    [ "UIResponder(KKLCustomSettings)", "category_u_i_responder_07_k_k_l_custom_settings_08.html", null ],
    [ "UITabBarItem(DotView)", "category_u_i_tab_bar_item_07_dot_view_08.html", "category_u_i_tab_bar_item_07_dot_view_08" ],
    [ "UITableView(TpCellClass)", "category_u_i_table_view_07_tp_cell_class_08.html", "category_u_i_table_view_07_tp_cell_class_08" ],
    [ "UITableView(XHXCellClass)", "category_u_i_table_view_07_x_h_x_cell_class_08.html", "category_u_i_table_view_07_x_h_x_cell_class_08" ],
    [ "UITextView(XHXPlaceholder)", "category_u_i_text_view_07_x_h_x_placeholder_08.html", "category_u_i_text_view_07_x_h_x_placeholder_08" ],
    [ "UIView(CKLine)", "category_u_i_view_07_c_k_line_08.html", "category_u_i_view_07_c_k_line_08" ],
    [ "UIView(Extension)", "category_u_i_view_07_extension_08.html", "category_u_i_view_07_extension_08" ],
    [ "UIView(FadeInFadeOut)", "category_u_i_view_07_fade_in_fade_out_08.html", "category_u_i_view_07_fade_in_fade_out_08" ],
    [ "UIView(KKLBadgeView)", "category_u_i_view_07_k_k_l_badge_view_08.html", "category_u_i_view_07_k_k_l_badge_view_08" ],
    [ "UIView(KOToast)", "category_u_i_view_07_k_o_toast_08.html", "category_u_i_view_07_k_o_toast_08" ],
    [ "UIView(SetRect)", "category_u_i_view_07_set_rect_08.html", "category_u_i_view_07_set_rect_08" ],
    [ "UIView(XHXLine)", "category_u_i_view_07_x_h_x_line_08.html", "category_u_i_view_07_x_h_x_line_08" ],
    [ "UIView(XHXRect)", "category_u_i_view_07_x_h_x_rect_08.html", "category_u_i_view_07_x_h_x_rect_08" ],
    [ "UIViewController(KKLCustomSettings)", "category_u_i_view_controller_07_k_k_l_custom_settings_08.html", null ],
    [ "UIViewController(KONavigationController)", "category_u_i_view_controller_07_k_o_navigation_controller_08.html", "category_u_i_view_controller_07_k_o_navigation_controller_08" ],
    [ "URLFetchTask", "interface_u_r_l_fetch_task.html", "interface_u_r_l_fetch_task" ],
    [ "XHXActivityBlankView", "interface_x_h_x_activity_blank_view.html", "interface_x_h_x_activity_blank_view" ],
    [ "XHXBlankView", "interface_x_h_x_blank_view.html", "interface_x_h_x_blank_view" ],
    [ "XHXButton", "interface_x_h_x_button.html", "interface_x_h_x_button" ],
    [ "XHXCake", "interface_x_h_x_cake.html", "interface_x_h_x_cake" ],
    [ "XHXCakeItemView", "interface_x_h_x_cake_item_view.html", "interface_x_h_x_cake_item_view" ],
    [ "XHXCakeView", "interface_x_h_x_cake_view.html", "interface_x_h_x_cake_view" ],
    [ "XHXCakeView()", "category_x_h_x_cake_view_07_08.html", "category_x_h_x_cake_view_07_08" ],
    [ "XHXCellClassType", "interface_x_h_x_cell_class_type.html", "interface_x_h_x_cell_class_type" ],
    [ "XHXDeviceManager", "interface_x_h_x_device_manager.html", null ],
    [ "XHXEnvUrlLoader", "interface_x_h_x_env_url_loader.html", "interface_x_h_x_env_url_loader" ],
    [ "XHXExtensionBlank", "interface_x_h_x_extension_blank.html", null ],
    [ "XHXGradientLayer", "interface_x_h_x_gradient_layer.html", "interface_x_h_x_gradient_layer" ],
    [ "XHXGradientView", "interface_x_h_x_gradient_view.html", "interface_x_h_x_gradient_view" ],
    [ "XHXGradientView()", "category_x_h_x_gradient_view_07_08.html", null ],
    [ "XHXImageBlankView", "interface_x_h_x_image_blank_view.html", "interface_x_h_x_image_blank_view" ],
    [ "XHXKitAssets", "interface_x_h_x_kit_assets.html", null ],
    [ "XHXKitBaseFakeClass", "interface_x_h_x_kit_base_fake_class.html", null ],
    [ "XHXNavigationController", "interface_x_h_x_navigation_controller.html", "interface_x_h_x_navigation_controller" ],
    [ "XHXNavigationController()", "category_x_h_x_navigation_controller_07_08.html", null ],
    [ "XHXNavigator", "interface_x_h_x_navigator.html", null ],
    [ "XHXPickerView", "interface_x_h_x_picker_view.html", "interface_x_h_x_picker_view" ],
    [ "XHXPickerView()", "category_x_h_x_picker_view_07_08.html", "category_x_h_x_picker_view_07_08" ],
    [ "<XHXPickerViewDelegate>", "protocol_x_h_x_picker_view_delegate-p.html", "protocol_x_h_x_picker_view_delegate-p" ],
    [ "XHXQRCodeTools", "interface_x_h_x_q_r_code_tools.html", null ],
    [ "XHXSafeData", "interface_x_h_x_safe_data.html", "interface_x_h_x_safe_data" ],
    [ "XHXSafeData()", "category_x_h_x_safe_data_07_08.html", "category_x_h_x_safe_data_07_08" ],
    [ "<XHXSafeDataDelegate>", "protocol_x_h_x_safe_data_delegate-p.html", "protocol_x_h_x_safe_data_delegate-p" ],
    [ "XHXSafeDataModel", "interface_x_h_x_safe_data_model.html", "interface_x_h_x_safe_data_model" ],
    [ "XHXSet", "interface_x_h_x_set.html", "interface_x_h_x_set" ],
    [ "XHXSet()", "category_x_h_x_set_07_08.html", "category_x_h_x_set_07_08" ],
    [ "XHXSimButton", "interface_x_h_x_sim_button.html", "interface_x_h_x_sim_button" ],
    [ "XHXTabbar", "interface_x_h_x_tabbar.html", "interface_x_h_x_tabbar" ],
    [ "XHXTabbar()", "category_x_h_x_tabbar_07_08.html", "category_x_h_x_tabbar_07_08" ],
    [ "<XHXTabbarDelegate>", "protocol_x_h_x_tabbar_delegate-p.html", "protocol_x_h_x_tabbar_delegate-p" ],
    [ "XHXTabItem", "interface_x_h_x_tab_item.html", "interface_x_h_x_tab_item" ],
    [ "XHXTabItem()", "category_x_h_x_tab_item_07_08.html", "category_x_h_x_tab_item_07_08" ],
    [ "XHXTextBlankView", "interface_x_h_x_text_blank_view.html", "interface_x_h_x_text_blank_view" ],
    [ "XHXTextBlankView()", "category_x_h_x_text_blank_view_07_08.html", "category_x_h_x_text_blank_view_07_08" ],
    [ "XHXTextKeyboardManager", "interface_x_h_x_text_keyboard_manager.html", "interface_x_h_x_text_keyboard_manager" ],
    [ "<XHXTextKeyboardObserver>", "protocol_x_h_x_text_keyboard_observer-p.html", "protocol_x_h_x_text_keyboard_observer-p" ],
    [ "XHXTextKeyboardTransition", "struct_x_h_x_text_keyboard_transition.html", "struct_x_h_x_text_keyboard_transition" ],
    [ "XHXTextLoadingBlankView", "interface_x_h_x_text_loading_blank_view.html", null ],
    [ "XHXThreadSafeArray", "interface_x_h_x_thread_safe_array.html", null ],
    [ "XHXThreadSafeArray()", "category_x_h_x_thread_safe_array_07_08.html", "category_x_h_x_thread_safe_array_07_08" ],
    [ "XHXThreadSafeDictionary", "interface_x_h_x_thread_safe_dictionary.html", "interface_x_h_x_thread_safe_dictionary" ],
    [ "XHXThreadSafeDictionary()", "category_x_h_x_thread_safe_dictionary_07_08.html", "category_x_h_x_thread_safe_dictionary_07_08" ],
    [ "XHXURLConfig", "interface_x_h_x_u_r_l_config.html", null ],
    [ "XHXWeakProxy", "interface_x_h_x_weak_proxy.html", "interface_x_h_x_weak_proxy" ]
];